summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Kent Fritz2014-03-31 07:30:09 +0200
committer Willy Sudiarto Raharjo2014-04-07 09:43:37 +0200
commit28d1f7d57fce064ed6b06df89f2c28abbc747003 (patch)
tree2461faedcab7f318f54efdc7cc059efac6f69b09 /misc
parent7dbadc7a54c312a9ba579c93b5f4fff55f897d89 (diff)
downloadslackbuilds-28d1f7d57fce064ed6b06df89f2c28abbc747003.tar.gz
misc/xca: Added (X Certificate and Key Management).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/xca/README8
-rw-r--r--misc/xca/patch.configure11
-rw-r--r--misc/xca/slack-desc19
-rw-r--r--misc/xca/xca.SlackBuild87
-rw-r--r--misc/xca/xca.info10
5 files changed, 135 insertions, 0 deletions
diff --git a/misc/xca/README b/misc/xca/README
new file mode 100644
index 0000000000..009e673da1
--- /dev/null
+++ b/misc/xca/README
@@ -0,0 +1,8 @@
+XCA - X Certificate and Key Management
+
+This application is intended for creating and managing X.509
+certificates, certificate requests, RSA, DSA and EC private keys,
+Smartcards and CRLs.
+
+Some certificate templates and other data are located in
+/usr/share/xca
diff --git a/misc/xca/patch.configure b/misc/xca/patch.configure
new file mode 100644
index 0000000000..a00cf030f5
--- /dev/null
+++ b/misc/xca/patch.configure
@@ -0,0 +1,11 @@
+--- configure.orig 2014-03-28 05:27:55.968017610 -0700
++++ configure 2014-03-28 05:32:52.243020610 -0700
+@@ -189,7 +189,7 @@
+ pkg-config QtGui openssl --libs >/dev/null;
+ then
+ CF="`pkg-config QtGui openssl --cflags`"
+- LIBS="`pkg-config QtGui openssl --libs` -lltdl"
++ LIBS="`pkg-config QtGui openssl --libs` -lltdl ${LIBS}"
+ else
+ by_hand=true
+ fi
diff --git a/misc/xca/slack-desc b/misc/xca/slack-desc
new file mode 100644
index 0000000000..bccef4d249
--- /dev/null
+++ b/misc/xca/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xca: xca (X Certificate and Key Management)
+xca:
+xca: This application is intended for creating and managing X.509
+xca: certificates, certificate requests, RSA, DSA and EC private keys,
+xca: Smartcards and CRLs.
+xca:
+xca:
+xca:
+xca:
+xca:
+xca:
diff --git a/misc/xca/xca.SlackBuild b/misc/xca/xca.SlackBuild
new file mode 100644
index 0000000000..2ce12a1f16
--- /dev/null
+++ b/misc/xca/xca.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for xca
+
+# Copyright 2014 Kent Fritz, Mountain View, CA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xca
+VERSION=${VERSION:-0.9.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+patch < $CWD/patch.configure
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+prefix=/usr \
+./configure
+make
+make install destdir=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYRIGHT INSTALL VERSION changelog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/xca/xca.info b/misc/xca/xca.info
new file mode 100644
index 0000000000..da8f0ad7b3
--- /dev/null
+++ b/misc/xca/xca.info
@@ -0,0 +1,10 @@
+PRGNAM="xca"
+VERSION="0.9.3"
+HOMEPAGE="http://xca.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/xca/files/xca/0.9.3/xca-0.9.3.tar.gz"
+MD5SUM="5e08cf8a93f023b1b3836c203bd0a694"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Kent Fritz"
+EMAIL="fritz.kent@gmail.com"